ZZIP_DIR_FDOPEN(3)

NAME
zzip_dir_fdopen, zzip_dir_fdopen_ext_io - ...

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR * zzip_dir_fdopen((int fd, zzip_error_t * errcode_p));

ZZIP_DIR * zzip_dir_fdopen_ext_io((int fd, zzip_error_t * errcode_p, zzip_strings_t * ext, const zzip_plugin_io_t io));

DESCRIPTION

the zzip_dir_fdopen_ext_io function uses explicit ext and io instead of the internal defaults, setting these to zero is equivalent to zzip_dir_fdopen

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) 1999,2000,2001,2002,2003 Guido Draheim All rights reserved, use under the restrictions of the Lesser GNU General Public License or alternatively the restrictions of the Mozilla Public License 1.1